#include "grabber.h"
#include <iostream>
#include <pylon/PylonIncludes.h>

void Grabber::run() {
  stop_request = false;
  int count = 0;
  if (camera->isOpen()) {
      Pylon::CGrabResultPtr frame;
      Pylon::CInstantCamera *cam = camera->getCamera();
      cam->StartGrabbing();
      while (!stop_request) {
          camera->frameRate(25);
          MyImage img;
          cam->RetrieveResult( 5000, frame, Pylon::TimeoutHandling_ThrowException);
          img.setFrame(frame);
          buffer->push(img);
          count += 1;
      }
      cam->StopGrabbing();
      std::cerr << "terminated: " << count << std::endl;
    }
}
